Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 26 Apr 2015, 11:53
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Aprendiendo a personalizar conky
Moderators: rarsa
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [31 Posts]   Goto page: 1, 2, 3 Next
Author Message
Aztk

Joined: 22 Aug 2014
Posts: 31
Location: Oaxaca, México

PostPosted: Sun 21 Dec 2014, 01:59    Post subject:  Aprendiendo a personalizar conky  

Acabo de descargar un conky (no recuerdo de qué repo lo descargue, si fue de José o de Nilson) y al tratar de abrir la aplicación me topo con este mensaje en la terminal:

Quote:
conky: /lib/libc.so.6: version `GLIBC_2.17' not found (required by conky)


Pues bien, me di a la tarea de buscar la librería que me falta, por lo que google fue de mi ayuda y me encontré con esta página:


https://packages.debian.org/search?searchon=contents&keywords=libc.so.6

El problema es que me aparecen varias librerías en la página. ¿Cómo puedo saber qué librería necesito?

Uso puppy retro precise, por si necesitan saber cuál es mi versión de puppy. ¡Saludos!
[/color]

Last edited by Aztk on Sun 04 Jan 2015, 21:51; edited 2 times in total
Back to top
View user's profile Send private message 
mister_electronico


Joined: 20 Jan 2008
Posts: 778
Location: Asturias_ España

PostPosted: Sun 21 Dec 2014, 06:35    Post subject: mucho ojo con la libreria libc.so.6  

Mucho ojo con la libreria libc.so.6 no es la primera vez que trasteando con ella me he cargardo todo el sistema.

Es una de las librerias mas imporntantes de sistema

Si estas en modo frugal haz una copia del archivo pupsave.


Lo normal es que cuando te bajes una libreria, sea acorde a la arquitectura de tu ordenador.

Viendo el enlace que pones si es un ordenador con microprocesador pentiun te bajaras las librerias 386 segun enlace, si tu ordenador es un amd te bajaras las que tienen AMD, y asi sucesivamente como ARM etc..

Saludos
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger 
nilsonmorales


Joined: 15 Apr 2011
Posts: 672
Location: El Salvador

PostPosted: Sun 21 Dec 2014, 22:25    Post subject:  

Pierdes los íconos (todos en simbolos de admiración), el pinboard (queda en color gris), me ha pasado al instalar librerias concernientes a gilbc, para Puppy precise y derivados puedes usar librerias de Debian wheezy y Ubuntu precise, para PuppyLucid puedes usar librerias de Ubuntu Lucid logicamente, asi que mejor no lo hagas, ademas me extraña que conky pida eso pero bueno, dime que puppy estas usando y te puedo recomendar un conky aqui algunos pets que he coleccionado y compilado en precise para usarlos en pupjibaro/fixerdog
https://copy.com/EmrfZC99UC7T Conky compilado desde retro-precise.
https://copy.com/yoGgn7SVmVOv Conky switcher una bonita interfaz idea de jemimah y battleshotter de un antiguo post de conky con lua
https://copy.com/U34qV9ohvwQn Conky manager http://www.teejeetech.in/p/conky-manager.html
Por cierto hice un pequeño ejercicio de como compilar aplicaciones en puppy con todo y errores y tome como ejemplo conky quiza si te interesa puedes compilar conky por ti mismo.
http://nilsonmorales.blogspot.com/2013/12/como-compilar-en-puppylinux.html
Saludos.

_________________
My blog | | Github


Back to top
View user's profile Send private message 
Aztk

Joined: 22 Aug 2014
Posts: 31
Location: Oaxaca, México

PostPosted: Mon 22 Dec 2014, 18:37    Post subject:  

nilsonmorales wrote:
Pierdes los íconos (todos en simbolos de admiración), el pinboard (queda en color gris), me ha pasado al instalar librerias concernientes a gilbc, para Puppy precise y derivados puedes usar librerias de Debian wheezy y Ubuntu precise, para PuppyLucid puedes usar librerias de Ubuntu Lucid logicamente, asi que mejor no lo hagas, ademas me extraña que conky pida eso pero bueno, dime que puppy estas usando y te puedo recomendar un conky aqui algunos pets que he coleccionado y compilado en precise para usarlos en pupjibaro/fixerdog
https://copy.com/EmrfZC99UC7T Conky compilado desde retro-precise.
https://copy.com/yoGgn7SVmVOv Conky switcher una bonita interfaz idea de jemimah y battleshotter de un antiguo post de conky con lua
https://copy.com/U34qV9ohvwQn Conky manager http://www.teejeetech.in/p/conky-manager.html
Por cierto hice un pequeño ejercicio de como compilar aplicaciones en puppy con todo y errores y tome como ejemplo conky quiza si te interesa puedes compilar conky por ti mismo.
http://nilsonmorales.blogspot.com/2013/12/como-compilar-en-puppylinux.html
Saludos.


Oh right... En el canal pregunté lo mismo y el usuario wow me mencionó que el conky instalado fue creado con software más actual que el mío... o algo así, la verdad es que no le entendí mucho, sólo que debía de instalar un conky compatible con mi puppy. Pues de todas maneras hice lo que dice mister electrónico en respaldar mi pupsave.

Me arriesgué e instalé una de esas librerías y sí, le dí en la torre a mi puppy, jejeje Laughing . Ya no podía entrar en modo gráfico, sólo desde consola. Pero bueno, eliminé ese puppsave defectuoso e inicié un puppy desde cero (para probar antes de arruinar mi save respaldado), ahora hice la instalación de los paquetes que amablemente me brindaste Nilson, pero nuevamente tengo errores de librerías Embarassed (fail!):


Quote:
conky: error while loading shared libraries: libiconv.so.2: cannot open shared object file: No such file or directory


Ya busqué en el ppm e instalé 3 paquetes que venían como resultado de la búsqueda de esa librería, pero de todas maneras me sigue apareciendo ese error y no se ejecuta el conky. Oh right... soy pésimo en esto de buscar librerías...
Back to top
View user's profile Send private message 
nilsonmorales


Joined: 15 Apr 2011
Posts: 672
Location: El Salvador

PostPosted: Mon 22 Dec 2014, 19:01    Post subject:  

Sigo sin saber que puppy usas, aqui te dejo esa libreria.
libiconv-1.14.pet https://copy.com/Uqd2dLBpUtwY
No creo que sea lo ultimo pero será entretenido seguir posteando en este hilo Laughing

_________________
My blog | | Github


Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 992
Location: Peru

PostPosted: Mon 22 Dec 2014, 20:26    Post subject: LOL !!  

Quote:
... o algo así, la verdad es que no le entendí mucho

Crying or Very sad
Back to top
View user's profile Send private message 
Aztk

Joined: 22 Aug 2014
Posts: 31
Location: Oaxaca, México

PostPosted: Tue 23 Dec 2014, 00:11    Post subject:  

nilsonmorales wrote:
Sigo sin saber que puppy usas, aqui te dejo esa libreria.
libiconv-1.14.pet https://copy.com/Uqd2dLBpUtwY
No creo que sea lo ultimo pero será entretenido seguir posteando en este hilo Laughing


Gracias por la librería Nilson, ahora ya puedo ejecutar el conky con normalidad en mi puppy retro precise, pero como siempre tengo un problema. Coloqué uno de esos "formatos" (no encontré la forma de decirlo) que vienen en el conky switcher y pues sí funcionan, sólo que al reiniciar X, me queda un fondo negro sobre mi wallpaper. ¿Cuál crees que sea el problema?


[img]http://postimg.org/image/n9hsg21m3/[/img]

Last edited by Aztk on Wed 24 Dec 2014, 19:05; edited 1 time in total
Back to top
View user's profile Send private message 
Aztk

Joined: 22 Aug 2014
Posts: 31
Location: Oaxaca, México

PostPosted: Tue 23 Dec 2014, 00:14    Post subject: Re: LOL !!  

wow wrote:
Quote:
... o algo así, la verdad es que no le entendí mucho

Crying or Very sad


Era sin el ánimo de ofender mi amigo wow Smile , pero soy un poco lento en aprender esto de puppy. Shocked
Back to top
View user's profile Send private message 
nilsonmorales


Joined: 15 Apr 2011
Posts: 672
Location: El Salvador

PostPosted: Tue 23 Dec 2014, 01:25    Post subject:  

Es muy probable que necesites un compositor de ventanas (googlee por favor) Smile te doy algunas opciones.
Un paquete con 2 compositores compton y xcompmgr-dana
https://copy.com/4ZG6GhmNVjpXWHk7
o puedes usar feh para una falsa transparencia
https://copy.com/iDvrni6axHKV
== como configurar feh ==
pasos 1,2 y cambiar el fondo de escritorio o reiniciar x como guste
http://www.murga-linux.com/puppy/viewtopic.php?t=72815
ojo en la pagina 5 de ese post tengo algunos de mis trabajos, me comentas como te fue.
Saludos nuevamente.

_________________
My blog | | Github


Back to top
View user's profile Send private message 
Aztk

Joined: 22 Aug 2014
Posts: 31
Location: Oaxaca, México

PostPosted: Tue 23 Dec 2014, 19:43    Post subject:  

nilsonmorales wrote:
Es muy probable que necesites un compositor de ventanas (googlee por favor) Smile te doy algunas opciones.
Un paquete con 2 compositores compton y xcompmgr-dana
https://copy.com/4ZG6GhmNVjpXWHk7
o puedes usar feh para una falsa transparencia
https://copy.com/iDvrni6axHKV
== como configurar feh ==
pasos 1,2 y cambiar el fondo de escritorio o reiniciar x como guste
http://www.murga-linux.com/puppy/viewtopic.php?t=72815
ojo en la pagina 5 de ese post tengo algunos de mis trabajos, me comentas como te fue.
Saludos nuevamente.


Muy bien amigo Nilson. Antes de instalar estos pets te adelanto que ya tengo el compton (lo descargué de uno de los repos de José). Me da ese efecto de suavidad al minimizar ventanas. Mi pregunta es ¿no hay problema en instalar ese paquete?

Mi segunda pregunta es relacionado a "feh" ¿no acaso es para lucid? ¿funcionará sin problemas en retro-precise? Por cierto, no encuentro el directorio que mencionan en el tuto que me compartiste. (/usr/local/apps/Wallpaper/set_bg)
Back to top
View user's profile Send private message 
nilsonmorales


Joined: 15 Apr 2011
Posts: 672
Location: El Salvador

PostPosted: Wed 24 Dec 2014, 02:18    Post subject:  

Bueno si ya tienes un compositor andando y sigue en fondo negro conky entonces no tiene caso instalar el pet, ese feh funciona perfecto en retro-precise (pupjibaro/fixerdog),
Con que no ves el archivo set_bg es por que no ves el directorio Wallpaper pero si observas bien en la carpeta es el directorio al que se la asignado un icono y dice Wallpaper, si tienes alguna duda ejectua en terminal
Code:
geany /usr/local/apps/Wallpaper/set_bg

cuando uno le da click derecho a esos 'directorios' sale la opcion de 'mostrar contenido'
talue...

_________________
My blog | | Github


Back to top
View user's profile Send private message 
josejp2424

Joined: 01 Aug 2010
Posts: 278

PostPosted: Wed 24 Dec 2014, 12:12    Post subject: xinitrc
Subject description: xinitrc
 

debes modificar el xinitric como dijo nilson.

en consola

Code:
geany /root/.xinitrc


y en xinitrc fijate donde empieza #w468 on old PCs rox sometimes does not start, see further down

Code:
#w468 on old PCs rox sometimes does not start, see further down...
#120718 raspi sometimes need extra delay otherwise rox fails to start.
CPUSPEED=`grep -m 1 -i '^cpu MHz' /proc/cpuinfo | tr -d ' ' | cut -f 2 -d ':' | cut -f 1 -d '.'` #my laptop: 933.000
[ ! $CPUSPEED ] && CPUSPEED=`grep -m 1 -i '^bogomips' /proc/cpuinfo | tr -d ' ' | cut -f 2 -d ':' | cut -f 1 -d '.'` #120718 raspi: 697.95  my laptop: 4789.47
[ ! $CPUSPEED ] && CPUSPEED=250
[ $CPUSPEED -lt 700 ] && sleep 0.5
[ $CPUSPEED -lt 400 ] && sleep 0.5
if [ -f /root/Choices/ROX-Filer/PuppyPan1 ];then
 rox -p /root/Choices/ROX-Filer/PuppyPin -r /root/Choices/ROX-Filer/PuppyPan1
else
 rox -p /root/Choices/ROX-Filer/PuppyPin
fi

feh --bg-scale /root/.background #esta linea se agrega.


y luego como sugirio nilson

Code:
geany /usr/local/apps/Wallpaper/set_bg


al final del script agregas.

Code:
feh --bg-scale $IMAGE
cp -f $IMAGE /root/.background
Back to top
View user's profile Send private message Visit poster's website 
Aztk

Joined: 22 Aug 2014
Posts: 31
Location: Oaxaca, México

PostPosted: Wed 24 Dec 2014, 19:03    Post subject: Ya me apendejé  

nilsonmorales wrote:
Bueno si ya tienes un compositor andando y sigue en fondo negro conky entonces no tiene caso instalar el pet, ese feh funciona perfecto en retro-precise (pupjibaro/fixerdog),
Con que no ves el archivo set_bg es por que no ves el directorio Wallpaper pero si observas bien en la carpeta es el directorio al que se la asignado un icono y dice Wallpaper, si tienes alguna duda ejectua en terminal
Code:
geany /usr/local/apps/Wallpaper/set_bg

cuando uno le da click derecho a esos 'directorios' sale la opcion de 'mostrar contenido'
talue...


A ver, ya me apendejé un poco. ¿Entonces sí instalo el "feh"? ¿Tengo que modificar el archivo set_bg o el xinitric que me dice José? Que por cierto, te agradezco nuevamente Nilson por explicarme con lujo de detalles, lo pude abrir de la forma en que me dijiste, o ¿me están hablando ustedes dos del mismo archivo y yo ya me confundí, jeje? Gracias a ambos por resolver las dudas de este ignorante. ¡Saludos!

P.D.: Cambié el título del post porque se está tratando más de cómo instalar conky, jejeje.
Back to top
View user's profile Send private message 
nilsonmorales


Joined: 15 Apr 2011
Posts: 672
Location: El Salvador

PostPosted: Wed 24 Dec 2014, 20:20    Post subject:  

Hola instala el paquete y sigue los pasos 1,2 del tuto en ingles y si, son 2 archivos que editar .xinitrc y set bg luego cambias wallp.
_________________
My blog | | Github


Back to top
View user's profile Send private message 
nilsonmorales


Joined: 15 Apr 2011
Posts: 672
Location: El Salvador

PostPosted: Thu 25 Dec 2014, 02:09    Post subject:  

exactamente como te comenta José, el primer script ( ~/.xinitrc ) anda por ahi por la linea 123 hacia abajo rox configura el pinboard entonces luego de
Code:
if [ -f /root/Choices/ROX-Filer/PuppyPan1 ];then
 rox -p /root/Choices/ROX-Filer/PuppyPin -r /root/Choices/ROX-Filer/PuppyPan1
else
 rox -p /root/Choices/ROX-Filer/PuppyPin
fi

en la siguiente linea escribes el comando de feh
Code:
feh --bg-scale /root/.background

esto se va a ejecutar cada vez que tu reinicies la pc o X y el otro script
el set_bg el cual es parte de la aplicacion que cambia de fondos de escritorio agregas el segundo cambio al final del script.
Code:
 feh --bg-scale $IMAGE
cp -f $IMAGE /root/.background

Con esto tendras esa ilusion de transparencia en tu conky, aun cuando cambies de fondo de escritorio.
Ahora bien, si quieres crearte un tema para conky esa es la parte divertida, lo primero que debes considerar ya que es un monitor de estado, que es lo que quieres que se vea en tu conky hay muchas cosas utiles entre ellas,
hora, consumo de ram, espacio libre de las particiones, estado de la red, uso del cpu, etc asi que pasemos este pequeño obstaculo y luego nos metemos de lleno con el f..#@½¬ conky.

_________________
My blog | | Github


Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [31 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1043s ][ Queries: 12 (0.0044s) ][ GZIP on ]